Last Comment Bug 382292 - add support for Camellia to cmd/symkeyutil
: add support for Camellia to cmd/symkeyutil
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Tools (show other bugs)
: 3.11
: All All
: P3 enhancement (vote)
: 3.12
Assigned To: Neil Williams
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 01:41 PDT by okazaki
Modified: 2007-06-18 18:19 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for nss/cmd/symkeyutil (2.33 KB, patch)
2007-05-29 01:42 PDT, okazaki
neil.williams: review+
Details | Diff | Review

Description okazaki 2007-05-29 01:41:08 PDT
User-Agent:       Mozilla/5.0 (X11; U; FreeBSD amd64; en-US; rv:1.8.1.3) Gecko/20070523 Firefox/2.0.0.3
Build Identifier: 

In Bug 361025, a patch was dropped.
Could you apply this patch?


Reproducible: Always
Comment 1 okazaki 2007-05-29 01:42:32 PDT
Created attachment 266446 [details] [diff] [review]
patch for nss/cmd/symkeyutil
Comment 2 Neil Williams 2007-06-01 18:47:03 PDT
Attachment 266446 [details] [diff] applies to the trunk OK and I was able to generate a couple of Camellia keys with symkeyutil but the Camellia tests in all.sh fail. It appears that some of the bltests have not been checked in. I get

cvs server: cannot find module `nss/cmd/bltest/tests/camellia_ecb' - ignored
cvs [checkout aborted]: cannot expand modules
Comment 3 Nelson Bolyard (seldom reads bugmail) 2007-06-03 01:38:11 PDT
Nail,  Any parts of the patch for bug 361025 that were not applied to 
the trunk should be considered part of this bug.  As you find files in
NSS that should have been changed, but whose patches were not apparently
committed, please note them in this bug, and attach patches for them to
this bug (probably the same patches found in bug 361025).
Comment 4 Neil Williams 2007-06-04 16:13:51 PDT
Comment on attachment 266446 [details] [diff] [review]
patch for nss/cmd/symkeyutil

Please ignore comment 2. All QA test pass with this patch after all.
Comment 5 Neil Williams 2007-06-18 18:09:58 PDT
Comment on attachment 266446 [details] [diff] [review]
patch for nss/cmd/symkeyutil

Since I did not modify this patch I'll review it myself
Comment 6 Neil Williams 2007-06-18 18:19:05 PDT
Checking in cmd/symkeyutil/symkey.man;
/cvsroot/mozilla/security/nss/cmd/symkeyutil/symkey.man,v  <--  symkey.man
new revision: 1.2; previous revision: 1.1
done
Checking in cmd/symkeyutil/symkeyutil.c;
/cvsroot/mozilla/security/nss/cmd/symkeyutil/symkeyutil.c,v  <--  symkeyutil.c
new revision: 1.10; previous revision: 1.9
done

Note You need to log in before you can comment on or make changes to this bug.